/**
 *
 */
package org.springblade.datasource.transform.dameng;

import org.springblade.datasource.transform.ColumnEnum;
import org.springblade.datasource.transform.ColumnInfo;

/**
 * @author wookvn
 */
public enum DamengCreateTableHandle {

    ;

    public static String getColumnType(ColumnInfo columnInfo) {
        ColumnEnum columnEnum = columnInfo.getColumnType();
        switch (columnEnum) {
            case DECIMAL:
                return "DECIMAL(" + columnInfo.getColumnSize() + ", " + columnInfo.getDecimalDigits() + ")";
            case STRING:
                Integer columnSize = columnInfo.getColumnSize();
                if (columnSize != null && columnSize > 4000) {
                    return "TEXT";
                }
                if (columnSize != null && columnSize < 1) {
                    return "TEXT";
                }
                return "VARCHAR(" + columnSize + ")";
            case LONG:
                return "BIGINT";
            case INTEGER:
                return "INT";
            case DOUBLE:
                return "DOUBLE";
            case FLOAT:
                return "FLOAT";
            case DATE:
                return "TIMESTAMP";
            case BOOL:
                return "BIT";
            default:
                return "";
        }
    }
}
