/**
 * 
 */
package org.springblade.etl.config;

import org.springblade.etl.properties.PreviewRedisProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import lombok.extern.slf4j.Slf4j;
import redis.clients.jedis.JedisPool;
import redis.clients.jedis.JedisPoolConfig;

/**
 * @author wookvn
 *
 */
@Slf4j
@Configuration
@EnableConfigurationProperties(PreviewRedisProperties.class)
public class JedisConfig {
	
	@Autowired
	private PreviewRedisProperties previewRedisProperties;
	
	@Bean
    public JedisPool jedisPool(){
        JedisPoolConfig jedisPoolConfig=new JedisPoolConfig();
        jedisPoolConfig.setMaxIdle(5);
        jedisPoolConfig.setMinIdle(5);
        jedisPoolConfig.setMaxTotal(5);
        jedisPoolConfig.setTestWhileIdle(true);
        jedisPoolConfig.setTimeBetweenEvictionRunsMillis(30000);
        JedisPool jedisPool = new JedisPool(jedisPoolConfig, previewRedisProperties.getHost(), 
        		previewRedisProperties.getPort(), 2000, previewRedisProperties.getAuth(), previewRedisProperties.getDatabase());
        log.info("JedisPool连接成功:【{}:{}@{}】", previewRedisProperties.getHost(), previewRedisProperties.getPort(), previewRedisProperties.getDatabase());
        return jedisPool;
    }
}