/**
 * 
 */
package org.springblade.etl.connector.sink.config;

import java.util.Map;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *  org.apache.seatunnel.connectors.seatunnel.clickhouse.config.ClickhouseConfig
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelClickhouseSinkConfig extends SeatunnelConfig {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String host;
	
	private String database;
	
	private String table;
	
	private String username;
	
	private String password;
	
	@JsonProperty("support_upsert")
	private Boolean supportUpsert;
	
	@JsonProperty("primary_key")
	private String primaryKey;
	
	//默认20000
	@JsonProperty("bulk_size")
	private Integer bulkSize;
	
	@JsonProperty("allow_experimental_lightweight_delete")
	private Boolean lightWeightDelete;
	
	@JsonProperty("clickhouse.confg")
	private Map<String, Object> ckConfig;

}
