/**
 * 
 */
package org.springblade.etl.connector.sink.config;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelPreviewSinkConfig extends SeatunnelConfig {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@NotEmpty(message = "预览：redis-host必须设置")
	private String host;
	
	@NotNull(message = "预览：redis-port必须设置")
	private Integer port;
	
	@NotEmpty(message = "预览：redis-key必须设置")
	private String key;
	
	private Integer database = 0;
	
	private Integer max = 10;
	
	@JsonProperty("data_type")
	private String dataType = "list";
	
	private String user;
	
	private String auth;
	
	private String format = "json";
	
	private String mode = "single";
	
	private List<String> nodes;
	
}
