/**
 * 
 */
package org.springblade.etl.connector.transform.config;

import javax.validation.constraints.NotEmpty;

import org.springblade.etl.connector.base.SeatunnelConfig;
import org.springblade.etl.connector.transform.enums.PrimaryKeyType;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelPrimaryKeyAddTransformConfig extends SeatunnelConfig {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@NotEmpty(message = "添加主键列组件：主键字段名不能为空")
	@ApiModelProperty("主键字段名")
	private String primary;
	
	@ApiModelProperty("主键生成方式：雪花算法(SnowFlake),UUID")
	private PrimaryKeyType genMethod;
	
}
