/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.etl.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.datasource.transform.general.GeneralModel;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 报表视图
 *
 * @author wuyf
 * @since 2021-03-11
 */
@Data
public class TransformColumnsDTO {

    @ApiModelProperty(value = "目标数据库id")
    private Integer targetDatabase;
    @ApiModelProperty(value = "目标数据表")
    private String targetTable;

    @ApiModelProperty(value = "源数据库类型")
    private Integer sourceDsType;


    @ApiModelProperty(value = "表字段信息", required = true)
    @NotNull
    private List<GeneralModel> generalColumnList;
}
