package org.springblade.etl.entity;

import java.time.LocalDateTime;

import org.springblade.core.mp.base.TenantEntity;
import org.springblade.etl.enums.SqlScriptType;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * SQL任务脚本表 sql_job_script
 * 
 * @author aokunsang
 * @date 2023-12-03
 */
@Data
@TableName("sql_job_script")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SqlJobScript对象", description = "SQL任务脚本")
public class SqlJobScript extends TenantEntity{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	/** 
	 * 任务ID 
	 */
	@ApiModelProperty(value = "任务ID")
	private Integer jobId;

	/** 
	 * SQL脚本内容 
	 */
	@ApiModelProperty(value = "SQL脚本内容")
	private String sqlScript;

	/** 
	 * SQL脚本名称 
	 */
	@ApiModelProperty(value = "SQL脚本名称")
	private String sqlScriptName;

	/** 
	 * SQL脚本注释说明 
	 */
	@ApiModelProperty(value = "SQL脚本注释说明")
	private String sqlScriptComment;

	/** 
	 * SQL脚本类型 
	 */
	@ApiModelProperty(value = "SQL脚本类型")
	private SqlScriptType sqlScriptType;

	/** 
	 * SQL脚本执行顺序 
	 */
	@ApiModelProperty(value = "SQL脚本执行顺序")
	private Integer sqlSortNum;

	/** 
	 * 任务创建时间 
	 */
	@ApiModelProperty(value = "任务创建时间")
	private LocalDateTime createTime;
	
}
