package org.springblade.etl.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 表分类实体类
 *
 * @author BladeX
 * @since 2021-05-06
 */
@Data
@TableName("report_table_category")
@ApiModel(value = "TableCategory对象", description = "表分类")
public class TableCategory extends TenantEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键 自增
	 */
	@ApiModelProperty(value = "主键 自增")
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	 * 排序值，从小到大排
	 */
	@ApiModelProperty(value = "排序值，从小到大排")
	private Integer orderIndex;
	/**
	 * 数据源id
	 */
	@ApiModelProperty(value = "数据源id")
	private Integer datasourceId;
	/**
	 * 指标分类名称
	 */
	@ApiModelProperty(value = "指标分类名称")
	private String categoryName;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String remark;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;


}
