package org.springblade.etl.entity;

import java.io.Serializable;

import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 表和分类关联表实体类
 *
 * @author BladeX
 * @since 2021-06-01
 */
@Data
@TableName("report_table_category_relation")
@ApiModel(value = "TableCategoryRelation对象", description = "表和分类关联表")
public class TableCategoryRelation extends TenantEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键 自增
	 */
	@ApiModelProperty(value = "主键 自增")
	@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	 * 排序值，从小到大排
	 */
	@ApiModelProperty(value = "排序值，从小到大排")
	private Integer orderIndex;
	/**
	 * 分类id
	 */
	@ApiModelProperty(value = "分类id")
	private Integer categoryId;
	/**
	 * 视图表名称
	 */
	@ApiModelProperty(value = "视图表名称")
	private String tableViewName;
	/**
	 * 表中文名
	 */
	@ApiModelProperty(value = "表中文名")
	private String tableComments;


}
