package org.springblade.etl.mapper;

import java.util.List;

import org.springblade.etl.dto.vo.DataApiVO;
import org.springblade.etl.entity.DataApi;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 数据接口 Mapper 接口
 *
 * @author BladeX
 * @since 2021-04-17
 */
public interface DataApiMapper extends BaseMapper<DataApi> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param dataApi
	 * @return
	 */
	List<DataApiVO> selectDataApiPage(IPage page, DataApiVO dataApi);

	@InterceptorIgnore(tenantLine = "true")
	DataApi getByApiKey(String apiKey);

}
